﻿.red_border {
    background-color: #fff0f0 !important;
    box-shadow: 0 0 0 1.3px #FF5555 !important;
}

label > .required {
    color: #ff0000;
    padding-left: 5px;
}

.btn-custom {
    color: #fff;
    background-color: #333;
    border-color: #333;
}

    .btn-custom:hover {
        color: #fff;
        background-color: #d88e67;
        border-color: #d88e67;
    }

.border-custom {
    border-bottom: 1px solid #DDDBDC !important;
}

.limited_text {
    white-space: nowrap;
    /* width: 100%; */
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 600px;
    cursor: default;
    margin-right: 5px;
    white-space: normal;
    /* display: block; */
}

.shorter_dash {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 215px;
    cursor: default;
}

.ui-widget, .ui-widget input, .ui-widget select, .ui-widget textarea, .ui-widget button {
    font-family: MerriweatherSans, sans-serif !important;
    font-weight: 600;
}

a[disabled], a[disabled]:hover {
    cursor: not-allowed !important;
    filter: alpha(opacity=65) !important;
    -webkit-box-shadow: none;
    box-shadow: none;
    opacity: .65 !important;
    pointer-events: none;
}

.disabled {
    color: currentColor;
    cursor: not-allowed;
    opacity: 0.6;
    text-decoration: none;
    pointer-events: none;
}

.icon-minus-badge {
    position: absolute;
    top: 4px;
    right: 3px;
    width: 14px;
    height: 14px;
    border-radius: 50%;
    background: #dc3545;
    box-shadow: 0 0 2px 1px #ffbe9a4d;
}

    .icon-minus-badge::after {
        content: '';
        position: absolute;
        top: 50%;
        left: 3px;
        right: 3px;
        height: 2px;
        background: #fff;
        transform: translateY(-50%);
    }

/* password strength */
#password-strength-status {
    padding: 5px 8px;
    color: #FFFFFF;
    border-radius: 4px;
    margin-top: 5px;
    font-size: 12px;
}

.medium-password {
    background-color: #ff851b;
    border: #ff851b 1px solid;
}

.weak-password {
    background-color: #ff4136;
    border: #ff4136 1px solid;
}

.strong-password {
    background-color: #28b62c;
    border: #28b62c 1px solid;
}

/* password toggle */
.inputwithicon {
    position: relative;
}

    .inputwithicon .inputicon {
        position: absolute;
        right: 12px;
        top: 50%;
        transform: translateY(-50%);
        font-size: 16px;
        z-index: 99;
        color: #b4b4b4;
        background: transparent;
        border: 0;
        cursor: pointer;
        text-decoration: none;
        line-height: 1;
    }

    .inputwithicon .form-control {
        padding-right: 40px;
    }
